weka.core.pmml.jaxbbindings

## Class LiftData

- java.lang.Object
- - weka.core.pmml.jaxbbindings.LiftData

-     public class LiftData
      extends java.lang.Object

  Java class for LiftData element declaration.

  The following schema fragment specifies the expected content contained within this class.

       <element name="LiftData">
         <complexType>
           <complexContent>
             <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
               <sequence>
                 <element ref="{http://www.dmg.org/PMML-4_1}Extension" maxOccurs="unbounded" minOccurs="0"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}ModelLiftGraph"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}OptimumLiftGraph" minOccurs="0"/>
                 <element ref="{http://www.dmg.org/PMML-4_1}RandomLiftGraph" minOccurs="0"/>
               </sequence>
               <attribute name="rankingQuality" type="{http://www.dmg.org/PMML-4_1}NUMBER" />
               <attribute name="targetFieldDisplayValue" type="{http://www.w3.org/2001/XMLSchema}string" />
               <attribute name="targetFieldValue" type="{http://www.w3.org/2001/XMLSchema}string" />
             </restriction>
           </complexContent>
         </complexType>
       </element>

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LiftData()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List<Extension>` | `getExtension()` Gets the value of the extension property.
    `ModelLiftGraph` | `getModelLiftGraph()` Gets the value of the modelLiftGraph property.
    `OptimumLiftGraph` | `getOptimumLiftGraph()` Gets the value of the optimumLiftGraph property.
    `RandomLiftGraph` | `getRandomLiftGraph()` Gets the value of the randomLiftGraph property.
    `java.lang.Double` | `getRankingQuality()` Gets the value of the rankingQuality property.
    `java.lang.String` | `getTargetFieldDisplayValue()` Gets the value of the targetFieldDisplayValue property.
    `java.lang.String` | `getTargetFieldValue()` Gets the value of the targetFieldValue property.
    `void` | `setModelLiftGraph(ModelLiftGraph value)` Sets the value of the modelLiftGraph property.
    `void` | `setOptimumLiftGraph(OptimumLiftGraph value)` Sets the value of the optimumLiftGraph property.
    `void` | `setRandomLiftGraph(RandomLiftGraph value)` Sets the value of the randomLiftGraph property.
    `void` | `setRankingQuality(java.lang.Double value)` Sets the value of the rankingQuality property.
    `void` | `setTargetFieldDisplayValue(java.lang.String value)` Sets the value of the targetFieldDisplayValue property.
    `void` | `setTargetFieldValue(java.lang.String value)` Sets the value of the targetFieldValue property.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LiftData

          public LiftData()

  - ### Method Detail

    - #### getExtension

          public java.util.List<Extension> getExtension()

      Gets the value of the extension property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the extension property.

      For example, to add a new item, do as follows:

              getExtension().add(newItem);

      Objects of the following type(s) are allowed in the list `Extension`

    - #### getModelLiftGraph

          public ModelLiftGraph getModelLiftGraph()

      Gets the value of the modelLiftGraph property.
      Returns:
        possible object is `ModelLiftGraph`

    - #### setModelLiftGraph

          public void setModelLiftGraph(ModelLiftGraph value)

      Sets the value of the modelLiftGraph property.
      Parameters:
        `value` - allowed object is `ModelLiftGraph`

    - #### getOptimumLiftGraph

          public OptimumLiftGraph getOptimumLiftGraph()

      Gets the value of the optimumLiftGraph property.
      Returns:
        possible object is `OptimumLiftGraph`

    - #### setOptimumLiftGraph

          public void setOptimumLiftGraph(OptimumLiftGraph value)

      Sets the value of the optimumLiftGraph property.
      Parameters:
        `value` - allowed object is `OptimumLiftGraph`

    - #### getRandomLiftGraph

          public RandomLiftGraph getRandomLiftGraph()

      Gets the value of the randomLiftGraph property.
      Returns:
        possible object is `RandomLiftGraph`

    - #### setRandomLiftGraph

          public void setRandomLiftGraph(RandomLiftGraph value)

      Sets the value of the randomLiftGraph property.
      Parameters:
        `value` - allowed object is `RandomLiftGraph`

    - #### getRankingQuality

          public java.lang.Double getRankingQuality()

      Gets the value of the rankingQuality property.
      Returns:
        possible object is `Double`

    - #### setRankingQuality

          public void setRankingQuality(java.lang.Double value)

      Sets the value of the rankingQuality property.
      Parameters:
        `value` - allowed object is `Double`

    - #### getTargetFieldDisplayValue

          public java.lang.String getTargetFieldDisplayValue()

      Gets the value of the targetFieldDisplayValue property.
      Returns:
        possible object is `String`

    - #### setTargetFieldDisplayValue

          public void setTargetFieldDisplayValue(java.lang.String value)

      Sets the value of the targetFieldDisplayValue property.
      Parameters:
        `value` - allowed object is `String`

    - #### getTargetFieldValue

          public java.lang.String getTargetFieldValue()

      Gets the value of the targetFieldValue property.
      Returns:
        possible object is `String`

    - #### setTargetFieldValue

          public void setTargetFieldValue(java.lang.String value)

      Sets the value of the targetFieldValue property.
      Parameters:
        `value` - allowed object is `String`